For[i=1,i<6,{For[j=1,j<6,{XM11[i,j] = 0.0;j++}];i++}];

For[i=1,i<6,{XM11[i,i] = 9./5.;i++}];

XM11[5,1] = 9./10.;
XM11[1,5] = 9./10.;

X11G = 0.;
X12G = 9./(4.*(DR^2.)) - 18.0/(5.0*(DR^4.0));
Y11G = 0.0;
Y12G = 6.0/(5.0*(DR^4.0));

Y11H = 0.0;
Y12H = -9.0/(8.0*(DR^3.0));

X12M = -9./(2.*(DR^3.))+54./(5.*(DR^5.));
Y12M = 9./(4.*(DR^3.)) - 36./(5.*(DR^5.));
Z12M = 9./(5.*(DR^5.));

For[i=1,i<4,{For[j=1,j<4,{For[k=1,k<4,{G12T[i,j,k] = X12G*(EU[i]*EU[j]-KroneckerDelta[i,j]/3.)*EU[k]
+Y12G*(EU[i]*KroneckerDelta[j,k]+EU[j]*KroneckerDelta[i,k]-2.*EU[i]*EU[j]*EU[k]);
H12T[i,j,k] = Y12H*(EU[i]*(Signature[{j,k,1}]*EU[1]+Signature[{j,k,2}]*
EU[2]+Signature[{j,k,3}]*EU[3]) + EU[j]*(Signature[{i,k,1}]*EU[1]
+Signature[{i,k,2}]*EU[2]+Signature[{i,k,3}]*EU[3]));
For[l=1,l<4,{
XM12T[i,j,k,l] = 1.5*X12M*(EU[i]*EU[j]-KroneckerDelta[i,j]/3.)*(EU[k]*EU[l]
-KroneckerDelta[k,l]/3.)+0.5*Y12M*(EU[i]*KroneckerDelta[j,l]
*EU[k]+EU[j]*KroneckerDelta[i,l]*EU[k]+EU[i]*KroneckerDelta[j,k]*EU[l]+EU[j]*KroneckerDelta[i,k]*EU[l]
-4.*EU[i]*EU[j]*EU[k]*EU[l])
+0.5*Z12M*(KroneckerDelta[i,k]*KroneckerDelta[j,l]
+KroneckerDelta[j,k]*KroneckerDelta[i,l]-KroneckerDelta[i,j]*KroneckerDelta[k,l]
+EU[i]*EU[j]*KroneckerDelta[k,l]
+KroneckerDelta[i,j]*EU[k]*EU[l]+EU[i]*EU[j]*EU[k]*EU[l]-
EU[i]*KroneckerDelta[j,l]*EU[k]-EU[j]*KroneckerDelta[i,l]*EU[k]-EU[i]*KroneckerDelta[j,k]*EU[l]
-EU[j]*KroneckerDelta[i,k]*EU[l]);l++}];k++}];j++}];i++}];

XM12[1,1] = XM12T[1,1,1,1]-2.*XM12T[1,1,3,3]+XM12T[3,3,3,3];
XM12[1,2] = 2.*(XM12T[1,1,2,1]-XM12T[3,3,2,1]);
XM12[1,3] = 2.*(XM12T[1,1,3,1]-XM12T[3,3,3,1]);
XM12[1,4] = 2.*(XM12T[1,1,3,2]-XM12T[3,3,3,2]);
XM12[1,5] = XM12T[1,1,2,2]-XM12T[1,1,3,3]-XM12T[3,3,2,2]+XM12T[3,3,3,3];
XM12[2,2] = 4.*XM12T[1,2,2,1];
XM12[2,3] = 4.*XM12T[1,2,3,1];
XM12[2,4] = 4.*XM12T[1,2,3,2];
XM12[2,5] = 2.*(XM12T[1,2,2,2]-XM12T[1,2,3,3]);
XM12[3,3] = 4.*(XM12T[1,3,3,1]);
XM12[3,4] = 4.*XM12T[1,3,3,2];
XM12[3,5] = 2.*(XM12T[1,3,2,2]-XM12T[1,3,3,3]);
XM12[4,4] = 4.*XM12T[2,3,3,2];
XM12[4,5] = 2.*(XM12T[2,3,2,2]-XM12T[2,3,3,3]);
XM12[5,5] = XM12T[2,2,2,2] - 2.*XM12T[2,2,3,3]+XM12T[3,3,3,3];

For[i=1,i<6,{For[j=1,j<6,{XM12[j,i] = XM12[i,j];j++}];i++}];

For[i=1,i<4,{For[j=1,j<6,{H11[i,j] = 0.;G11[i,j] = 0.;j++}];i++}];

H12[1,1] = H12T[1,1,1] - H12T[3,3,1];
H12[1,2] = 2.*H12T[1,2,1];
H12[1,3] = 2.*H12T[1,3,1];
H12[1,4] = 2.*H12T[2,3,1];
H12[1,5] = H12T[2,2,1]-H12T[3,3,1];
H12[2,1] = H12T[1,1,2]-H12T[3,3,2];
H12[2,2] = 2.*H12T[1,2,2];
H12[2,3] = 2.*H12T[1,3,2];
H12[2,4] = 2.*H12T[2,3,2];
H12[2,5] = H12T[2,2,2]-H12T[3,3,2];
H12[3,1] = H12T[1,1,3] - H12T[3,3,3];
H12[3,2] = 2.*H12T[1,2,3];
H12[3,3] = 2.*H12T[1,3,3];
H12[3,4] = 2.*H12T[2,3,3];
H12[3,5] = H12T[2,2,3] - H12T[3,3,3];

G12[1,1] = -G12T[1,1,1] + G12T[3,3,1];
G12[1,2] = -2.*G12T[1,2,1];
G12[1,3] = -2.*G12T[1,3,1];
G12[1,4] = -2.*G12T[2,3,1];
G12[1,5] = -G12T[2,2,1] + G12T[3,3,1];
G12[2,1] = -G12T[1,1,2] + G12T[3,3,2];
G12[2,2] = -2.*G12T[1,2,2];
G12[2,3] = -2.*G12T[1,3,2];
G12[2,4] = -2.*G12T[2,3,2];
G12[2,5] = -G12T[2,2,2] + G12T[3,3,2];
G12[3,1] = -G12T[1,1,3] + G12T[3,3,3];
G12[3,2] = -2.*G12T[1,2,3];
G12[3,3] = -2.*G12T[1,3,3];
G12[3,4] = -2.*G12T[2,3,3];
G12[3,5] = -G12T[2,2,3] + G12T[3,3,3];
